Subject: [MOBILE-IP] Generalized key distribution exts. draft

From: "N. Asokan" <[email-masked]>
Date: Mon, 6 Mar 2000 15:46:39 +0200

Charlie and Pat,

In draft-ietf-mobileip-gen-key-00.txt, the MN-FA Key Reply Extension does
not have a lifetime field.  I realize that there was some discussion on
this topic and the conclusion was that MN-FA key can be considered valid
as long as the MN resides in the visited domain.

This would be a valid assumption if the AAA authorization and Mobile IP
registration are tightly coupled.  But they may not be.  In this case, the
validity of the AAA authorization can be different from the validity of
the home registration.  We need a way to force the MN to authorize itself
again and obtain a new MN-FA key (or extend the lifetime of the current
MN-FA key).

So, I request an MN-FA Key Reply Extension with a lifetime field in it.

Thanks and regards,
- Asokan

---
N. Asokan, Communication Systems Lab, Nokia Research Center, Helsinki